Package org.bukkit.event.block

# Class BlockIgniteEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockIgniteEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockIgniteEvent extends BlockEvent implements Cancellable
Called when a block is ignited. If you want to catch when a Player places fire, you need to use `BlockPlaceEvent`.

If a Block Ignite event is cancelled, the block will not be ignited.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`BlockIgniteEvent.IgniteCause`
An enum to specify the cause of the ignite

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockIgniteEvent(@NotNull Block theBlock, @NotNull BlockIgniteEvent.IgniteCause cause, @NotNull Block ignitingBlock)`
`BlockIgniteEvent(@NotNull Block theBlock, @NotNull BlockIgniteEvent.IgniteCause cause, @Nullable Entity ignitingEntity)`
`BlockIgniteEvent(@NotNull Block theBlock, @NotNull BlockIgniteEvent.IgniteCause cause, @Nullable Entity ignitingEntity, @Nullable Block ignitingBlock)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull BlockIgniteEvent.IgniteCause`
`getCause()`
Gets the cause of block ignite.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Block`
`getIgnitingBlock()`
Gets the block which ignited this block
`@Nullable Entity`
`getIgnitingEntity()`
Gets the entity who ignited this block
`@Nullable Player`
`getPlayer()`
Gets the player who ignited this block
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockIgniteEvent

public BlockIgniteEvent(@NotNull @NotNull Block theBlock, @NotNull @NotNull BlockIgniteEvent.IgniteCause cause, @Nullable @Nullable Entity ignitingEntity)

### BlockIgniteEvent

public BlockIgniteEvent(@NotNull @NotNull Block theBlock, @NotNull @NotNull BlockIgniteEvent.IgniteCause cause, @NotNull @NotNull Block ignitingBlock)

### BlockIgniteEvent

public BlockIgniteEvent(@NotNull @NotNull Block theBlock, @NotNull @NotNull BlockIgniteEvent.IgniteCause cause, @Nullable @Nullable Entity ignitingEntity, @Nullable @Nullable Block ignitingBlock)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getCause

@NotNull public @NotNull BlockIgniteEvent.IgniteCause getCause()
Gets the cause of block ignite.

Returns:
  An IgniteCause value detailing the cause of block ignition

### getPlayer

@Nullable public @Nullable Player getPlayer()
Gets the player who ignited this block

Returns:
  The Player that placed/ignited the fire block, or null if not ignited by a Player.

### getIgnitingEntity

@Nullable public @Nullable Entity getIgnitingEntity()
Gets the entity who ignited this block

Returns:
  The Entity that placed/ignited the fire block, or null if not ignited by a Entity.

### getIgnitingBlock

@Nullable public @Nullable Block getIgnitingBlock()
Gets the block which ignited this block

Returns:
  The Block that placed/ignited the fire block, or null if not ignited by a Block.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()